.herozoo-carousel {
  position: relative;
  width: 100%;
  height: 100%;
}

.herozoo-hero-item {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  opacity: 0;
  height: 100%;
  transition: opacity .3s ease, transform 1s ease;
}

/* Transición FADE */
.transition-fade {
  opacity: 1;
  transform: none;
}

/* Transición SLIDE */
.transition-slide {
  transform: translateX(0);
}

/* Transición BLEND (una mezcla, puedes definirla como un crossfade más suave o personalizada) */
.transition-blend {
  mix-blend-mode: multiply;
  opacity: 1;
}

.herozoo-item-hidden {
  opacity: 0;
  pointer-events: none;
  z-index: -1;
  position: absolute;
}

.herozoo-item-active {
  opacity: 1;
  pointer-events: auto;
}

.herozoo-image-container {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  /* z-index: 1; */

  /* Asegúrate de que las imágenes no se desborden */
}

.herozoo-image {
  display: block;
  object-fit: cover;
  object-position: center center;
  height: 100%;
  width: 100%;
}

.herozoo-image-container .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--white-transparency);
  pointer-events: none;
}



.herozoo-content {
  position: absolute;
  display: flex;
  flex-flow: column nowrap;
  width: 50%;
  padding-top: var(--mobile-top-margin);
  padding-left: var(--mobile-side-margin);
  padding-right: var(--mobile-side-margin);
  right: 0;
  top: 50%;
  height: auto;
  min-height: 33vh;
  justify-content: space-between;
  align-items: flex-end;
  gap: var(--mobile-inner-margin)
    /* z-index: 1; */

}

.transition-fade .herozoo-content {}

.herozoo-content .herozoo-headline {
  font-size: var(--h1-font-size);
  font-weight: 300;
  text-align: right;
  transition: transform .3s ease;
  margin-bottom: 0;
}

.herozoo-content .herozoo-paragraph {
  font-size: var(--subheader-font-size);
  font-weight: 300;
  text-align: right;
  transition: transform .3s ease;
  margin-bottom: auto;
  /* text-shadow:
    -.05em .05em .05em var(--black),
    .05em -.05em .05em var(--black),
    -.05em -.05em .05em var(--black),
    .05em .05em .05em var(--black),
    .05em .05em 2em var(--black); */


  /* text-decoration: underline;
  text-decoration-thickness: 0em;
  /* ← grosor estilo rotulador */
  /* text-decoration-color: var(--black-transparency); */
  /* text-decoration-skip-ink: none; */
  /* no se salta descendentes */
  /* text-underline-offset: -.80em; */
}


.herozoo-dots {
  position: absolute;
  bottom: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;

}




button.herozoo-dot {
  display: block;
  height: 1rem;
  width: 1rem;
  background-color: transparent;
  border: var(--button-border);
  border-color: var(--black)
}

.herozoo-arrows {
  position: absolute;
  top: 60%;
  transform: translateY(-50%);
  width: 100%;
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  z-index: 4;
}

.herozoo-arrow {
  font-size: 3rem;
  opacity: .5;
}

.herozoo-arrow.disabled {}